package com.ruoyi.system.service.stamp;

import com.github.pagehelper.PageInfo;
import com.ruoyi.system.domain.stamp.request.CarDinnerExamineRequest;
import com.ruoyi.system.domain.stamp.request.DinnerExamineSaveRequest;
import com.ruoyi.system.domain.stamp.vo.DinnerExamineDetail;
import com.ruoyi.system.domain.stamp.vo.DinnerExaminePageItem;

/**
 * * Author: brenda
 * * 2025/2/10
 **/
public interface DinnerExamineService {

    void save(DinnerExamineSaveRequest request);

    void apply(CarDinnerExamineRequest request);

    DinnerExamineDetail detail(String id, String userId);

    PageInfo<DinnerExaminePageItem> page(String title, String status, String userId);

    void reSubmit(DinnerExamineSaveRequest request);
}
